/*
  This file was generated automatically with ./scripts/maple2c.pl.
  Do not edit this file directly as it can be overwritten!!

  This Source Code Form is subject to the terms of the Mozilla Public
  License, v. 2.0. If a copy of the MPL was not distributed with this
  file, You can obtain one at http://mozilla.org/MPL/2.0/.

  Maple version     : Maple 2020 (X86 64 LINUX)
  Maple source      : ./maple/lda_exc/lda_x_1d_exponential.mpl
  Type of functional: lda_exc
*/

#define maple2c_order 4
#define MAPLE2C_FLAGS (XC_FLAGS_I_HAVE_EXC | XC_FLAGS_I_HAVE_VXC | XC_FLAGS_I_HAVE_FXC | XC_FLAGS_I_HAVE_KXC | XC_FLAGS_I_HAVE_LXC)


static inline void
func_unpol(const xc_func_type *p, int order, const double *rho , double *zk LDA_OUT_PARAMS_NO_EXC(XC_COMMA double *, ))
{

#ifndef XC_DONT_COMPILE_EXC
  double t3, t4, t5, t7, t8, t11, t12, t14;
  double t16, t17, t18, t24;

#ifndef XC_DONT_COMPILE_VXC
  double t25, t26, t27, t28, t29, t32;

#ifndef XC_DONT_COMPILE_FXC
  double t36, t37, t38, t42, t47, t48, t52;

#ifndef XC_DONT_COMPILE_KXC
  double t56, t58, t61, t63, t64, t70, t76;

#ifndef XC_DONT_COMPILE_LXC
  double t102;
#endif

#endif

#endif

#endif

#endif


  lda_x_1d_exponential_params *params;

  assert(p->params != NULL);
  params = (lda_x_1d_exponential_params * )(p->params);

  t3 = 0.1e1 <= p->zeta_threshold;
  t4 = rho[0] / 0.2e1 <= p->dens_threshold || t3;
  t5 = p->zeta_threshold - 0.1e1;
  t7 = my_piecewise5(t3, t5, t3, -t5, 0);
  t8 = 0.1e1 + t7;
  t11 = t8 * M_PI * params->beta * rho[0];
  t12 = xc_integrate(func1, NULL, 1e-20, t11);
  t14 = xc_integrate(func2, NULL, 1e-20, t11);
  t16 = t14 / M_PI;
  t17 = 0.1e1 / params->beta;
  t18 = 0.1e1 / rho[0];
  t24 = my_piecewise3(t4, 0, -0.79577471545947667883e-1 * (-t16 * t17 * t18 + t8 * t12) * t17);
  if(zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    zk[0] = 0.2e1 * t24;

#ifndef XC_DONT_COMPILE_VXC

  if(order < 1) return;


  t25 = params->beta * params->beta;
  t26 = 0.1e1 / t25;
  t27 = rho[0] * rho[0];
  t28 = 0.1e1 / t27;
  t29 = t26 * t28;
  t32 = my_piecewise3(t4, 0, -0.79577471545947667883e-1 * t16 * t29);
  if(vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    vrho[0] = 0.2e1 * rho[0] * t32 + 0.2e1 * t24;

#ifndef XC_DONT_COMPILE_FXC

  if(order < 2) return;


  t36 = t8 * t8;
  t37 = t36 * M_PI;
  t38 = M_PI * M_PI;
  t42 = xc_E1_scaled(t36 * t38 * t25 * t27);
  t47 = 0.1e1 / t27 / rho[0];
  t48 = t26 * t47;
  t52 = my_piecewise3(t4, 0, -0.79577471545947667883e-1 * t37 * t42 * t18 + 0.15915494309189533577e0 * t16 * t48);
  if(v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    v2rho2[0] = 0.2e1 * rho[0] * t52 + 0.4e1 * t32;

#ifndef XC_DONT_COMPILE_KXC

  if(order < 3) return;


  t56 = t36 * t36;
  t58 = t56 * t38 * M_PI;
  t61 = 0.1e1 / t36 / t38;
  t63 = -t61 * t29 + t42;
  t64 = t63 * t25;
  t70 = t27 * t27;
  t76 = my_piecewise3(t4, 0, -0.15915494309189533577e0 * t58 * t64 + 0.23873241463784300365e0 * t37 * t42 * t28 - 0.47746482927568600731e0 * t16 * t26 / t70);
  if(v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    v3rho3[0] = 0.2e1 * rho[0] * t76 + 0.6e1 * t52;

#ifndef XC_DONT_COMPILE_LXC

  if(order < 4) return;


  t102 = my_piecewise3(t4, 0, -0.15915494309189533577e0 * t58 * (0.2e1 * t63 * t36 * t38 * t25 * rho[0] + 0.2e1 * t61 * t48) * t25 + 0.47746482927568600730e0 * t58 * t64 * t18 - 0.95492965855137201461e0 * t37 * t42 * t47 + 0.19098593171027440292e1 * t16 * t26 / t70 / rho[0]);
  if(v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    v4rho4[0] = 0.2e1 * rho[0] * t102 + 0.8e1 * t76;

#ifndef XC_DONT_COMPILE_MXC

  if(order < 5) return;


#endif

#endif

#endif

#endif

#endif


}


static inline void
func_pol(const xc_func_type *p, int order, const double *rho , double *zk LDA_OUT_PARAMS_NO_EXC(XC_COMMA double *, ))
{

#ifndef XC_DONT_COMPILE_EXC
  double t2, t3, t4, t5, t7, t8, t9, t11;
  double t12, t13, t14, t15, t16, t17, t18, t20;
  double t21, t22, t23, t24, t29, t31, t32, t33;
  double t34, t35, t36, t38, t39, t44;

#ifndef XC_DONT_COMPILE_VXC
  double t45, t46, t47, t48, t49, t51, t52, t56;
  double t58, t60, t64, t67, t68, t73, t75, t80;

#ifndef XC_DONT_COMPILE_FXC
  double t86, t87, t89, t90, t92, t94, t95, t96;
  double t97, t98, t99, t100, t101, t103, t105, t106;
  double t107, t108, t110, t114, t116, t118, t120, t121;
  double t122, t123, t124, t126, t128, t129, t130, t132;
  double t136, t139, t140, t142, t147, t148, t150, t155;
  double t161, t162, t164, t166, t167, t169, t174, t176;
  double t178, t180, t181, t183, t188;

#ifndef XC_DONT_COMPILE_KXC
  double t193, t194, t195, t197, t198, t200, t203, t205;
  double t207, t208, t211, t212, t213, t214, t216, t217;
  double t220, t221, t223, t224, t226, t227, t228, t229;
  double t230, t231, t232, t233, t234, t235, t236, t237;
  double t239, t243, t245, t247, t250, t252, t254, t255;
  double t258, t260, t261, t264, t266, t267, t269, t270;
  double t271, t272, t273, t274, t275, t276, t277, t278;
  double t279, t281, t285, t288, t289, t290, t291, t292;
  double t293, t295, t298, t304, t306, t308, t311, t317;
  double t320, t321, t323, t325, t327, t329, t330, t331;
  double t334, t336, t339, t341, t344, t346, t348, t350;
  double t352, t354, t355, t356, t359, t361, t364, t366;
  double t369, t375, t376, t378, t381, t384, t385, t387;
  double t390, t391, t393, t395, t396, t398, t404, t406;
  double t408, t411, t414, t415, t417, t420, t421, t423;
  double t425, t426, t428, t434;

#ifndef XC_DONT_COMPILE_LXC
  double t439, t440, t443, t446, t450, t452, t453, t455;
  double t456, t461, t467, t468, t470, t471, t473, t475;
  double t476, t477, t478, t479, t480, t481, t483, t484;
  double t486, t499, t501, t504, t505, t506, t507, t509;
  double t510, t512, t514, t517, t519, t520, t521, t522;
  double t525, t526, t527, t530, t533, t538, t539, t541;
  double t542, t547, t553, t554, t556, t557, t559, t561;
  double t562, t563, t564, t573, t575, t578, t579, t580;
  double t582, t588, t590, t593, t595, t596, t597, t598;
  double t599, t600, t602, t603, t606, t611, t612, t613;
  double t614, t630, t633, t635, t651, t654, t675, t676;
  double t682, t683, t685, t687, t701, t703, t705, t708;
  double t713, t717, t731, t732, t738, t740, t741, t743;
  double t757, t760, t762, t765, t770, t774, t783, t789;
  double t803, t805, t813, t818, t819, t838, t839, t843;
  double t844, t848, t852, t854, t855, t863, t869, t883;
  double t885, t888, t898, t899, t920, t922, t926, t933;
  double t934, t944, t947, t955, t972, t989, t992, t995;
  double t1005, t1008, t1016, t1033, t1050, t1053;
#endif

#endif

#endif

#endif

#endif


  lda_x_1d_exponential_params *params;

  assert(p->params != NULL);
  params = (lda_x_1d_exponential_params * )(p->params);

  t2 = rho[0] - rho[1];
  t3 = rho[0] + rho[1];
  t4 = 0.1e1 / t3;
  t5 = t2 * t4;
  t7 = 0.1e1 + t5 <= p->zeta_threshold;
  t8 = rho[0] <= p->dens_threshold || t7;
  t9 = p->zeta_threshold - 0.1e1;
  t11 = 0.1e1 - t5 <= p->zeta_threshold;
  t12 = -t9;
  t13 = my_piecewise5(t7, t9, t11, t12, t5);
  t14 = 0.1e1 + t13;
  t15 = t14 * M_PI;
  t16 = params->beta * t3;
  t17 = t15 * t16;
  t18 = xc_integrate(func1, NULL, 1e-20, t17);
  t20 = xc_integrate(func2, NULL, 1e-20, t17);
  t21 = 0.1e1 / M_PI;
  t22 = t20 * t21;
  t23 = 0.1e1 / params->beta;
  t24 = t23 * t4;
  t29 = my_piecewise3(t8, 0, -0.79577471545947667883e-1 * (t14 * t18 - t22 * t24) * t23);
  t31 = rho[1] <= p->dens_threshold || t11;
  t32 = my_piecewise5(t11, t9, t7, t12, -t5);
  t33 = 0.1e1 + t32;
  t34 = t33 * M_PI;
  t35 = t34 * t16;
  t36 = xc_integrate(func1, NULL, 1e-20, t35);
  t38 = xc_integrate(func2, NULL, 1e-20, t35);
  t39 = t38 * t21;
  t44 = my_piecewise3(t31, 0, -0.79577471545947667883e-1 * (-t39 * t24 + t33 * t36) * t23);
  if(zk != NULL && (p->info->flags & XC_FLAGS_HAVE_EXC))
    zk[0] = t29 + t44;

#ifndef XC_DONT_COMPILE_VXC

  if(order < 1) return;


  t45 = t3 * t3;
  t46 = 0.1e1 / t45;
  t47 = t2 * t46;
  t48 = t4 - t47;
  t49 = my_piecewise5(t7, 0, t11, 0, t48);
  t51 = t23 * t46;
  t52 = t22 * t51;
  t56 = my_piecewise3(t8, 0, -0.79577471545947667883e-1 * (t49 * t18 + t52) * t23);
  t58 = my_piecewise5(t11, 0, t7, 0, -t48);
  t60 = t39 * t51;
  t64 = my_piecewise3(t31, 0, -0.79577471545947667883e-1 * (t58 * t36 + t60) * t23);
  if(vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    vrho[0] = t29 + t44 + t3 * (t56 + t64);

  t67 = -t4 - t47;
  t68 = my_piecewise5(t7, 0, t11, 0, t67);
  t73 = my_piecewise3(t8, 0, -0.79577471545947667883e-1 * (t68 * t18 + t52) * t23);
  t75 = my_piecewise5(t11, 0, t7, 0, -t67);
  t80 = my_piecewise3(t31, 0, -0.79577471545947667883e-1 * (t75 * t36 + t60) * t23);
  if(vrho != NULL && (p->info->flags & XC_FLAGS_HAVE_VXC))
    vrho[1] = t29 + t44 + t3 * (t73 + t80);

#ifndef XC_DONT_COMPILE_FXC

  if(order < 2) return;


  t86 = 0.1e1 / t45 / t3;
  t87 = t2 * t86;
  t89 = -0.2e1 * t46 + 0.2e1 * t87;
  t90 = my_piecewise5(t7, 0, t11, 0, t89);
  t92 = t49 * M_PI;
  t94 = t15 * params->beta;
  t95 = t92 * t16 + t94;
  t96 = t49 * t95;
  t97 = t14 * t14;
  t98 = M_PI * M_PI;
  t99 = t97 * t98;
  t100 = params->beta * params->beta;
  t101 = t100 * t45;
  t103 = xc_E1_scaled(t99 * t101);
  t105 = t95 * t103;
  t106 = t14 * t4;
  t107 = t105 * t106;
  t108 = t23 * t86;
  t110 = 0.2e1 * t22 * t108;
  t114 = my_piecewise3(t8, 0, -0.79577471545947667883e-1 * (t96 * t103 + t90 * t18 + t107 - t110) * t23);
  t116 = my_piecewise5(t11, 0, t7, 0, -t89);
  t118 = t58 * M_PI;
  t120 = t34 * params->beta;
  t121 = t118 * t16 + t120;
  t122 = t58 * t121;
  t123 = t33 * t33;
  t124 = t123 * t98;
  t126 = xc_E1_scaled(t124 * t101);
  t128 = t121 * t126;
  t129 = t33 * t4;
  t130 = t128 * t129;
  t132 = 0.2e1 * t39 * t108;
  t136 = my_piecewise3(t31, 0, -0.79577471545947667883e-1 * (t116 * t36 + t122 * t126 + t130 - t132) * t23);
  if(v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    v2rho2[0] = 0.2e1 * t56 + 0.2e1 * t64 + t3 * (t114 + t136);

  t139 = 0.2e1 * t87;
  t140 = my_piecewise5(t7, 0, t11, 0, t139);
  t142 = t68 * t95;
  t147 = my_piecewise3(t8, 0, -0.79577471545947667883e-1 * (t142 * t103 + t140 * t18 + t107 - t110) * t23);
  t148 = my_piecewise5(t11, 0, t7, 0, -t139);
  t150 = t75 * t121;
  t155 = my_piecewise3(t31, 0, -0.79577471545947667883e-1 * (t150 * t126 + t148 * t36 + t130 - t132) * t23);
  if(v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    v2rho2[1] = t56 + t64 + t73 + t80 + t3 * (t147 + t155);

  t161 = 0.2e1 * t46 + 0.2e1 * t87;
  t162 = my_piecewise5(t7, 0, t11, 0, t161);
  t164 = t68 * M_PI;
  t166 = t164 * t16 + t94;
  t167 = t68 * t166;
  t169 = t166 * t103;
  t174 = my_piecewise3(t8, 0, -0.79577471545947667883e-1 * (t167 * t103 + t169 * t106 + t162 * t18 - t110) * t23);
  t176 = my_piecewise5(t11, 0, t7, 0, -t161);
  t178 = t75 * M_PI;
  t180 = t178 * t16 + t120;
  t181 = t75 * t180;
  t183 = t180 * t126;
  t188 = my_piecewise3(t31, 0, -0.79577471545947667883e-1 * (t181 * t126 + t183 * t129 + t176 * t36 - t132) * t23);
  if(v2rho2 != NULL && (p->info->flags & XC_FLAGS_HAVE_FXC))
    v2rho2[2] = 0.2e1 * t73 + 0.2e1 * t80 + t3 * (t174 + t188);

#ifndef XC_DONT_COMPILE_KXC

  if(order < 3) return;


  t193 = t45 * t45;
  t194 = 0.1e1 / t193;
  t195 = t2 * t194;
  t197 = 0.6e1 * t86 - 0.6e1 * t195;
  t198 = my_piecewise5(t7, 0, t11, 0, t197);
  t200 = t90 * t95;
  t203 = t90 * M_PI;
  t205 = t92 * params->beta;
  t207 = t203 * t16 + 0.2e1 * t205;
  t208 = t49 * t207;
  t211 = 0.1e1 / t98;
  t212 = 0.1e1 / t97 * t211;
  t213 = 0.1e1 / t100;
  t214 = t213 * t46;
  t216 = -t212 * t214 + t103;
  t217 = t14 * t98;
  t220 = t100 * t3;
  t221 = t99 * t220;
  t223 = 0.2e1 * t217 * t101 * t49 + 0.2e1 * t221;
  t224 = t216 * t223;
  t226 = t207 * t103;
  t227 = t226 * t106;
  t228 = t95 * t216;
  t229 = t223 * t14;
  t230 = t229 * t4;
  t231 = t228 * t230;
  t232 = t49 * t4;
  t233 = t105 * t232;
  t234 = t14 * t46;
  t235 = t105 * t234;
  t236 = 0.3e1 * t235;
  t237 = t23 * t194;
  t239 = 0.6e1 * t22 * t237;
  t243 = my_piecewise3(t8, 0, -0.79577471545947667883e-1 * (0.2e1 * t200 * t103 + t208 * t103 + t198 * t18 + t96 * t224 + t227 + t231 + t233 - t236 + t239) * t23);
  t245 = my_piecewise5(t11, 0, t7, 0, -t197);
  t247 = t116 * t121;
  t250 = t116 * M_PI;
  t252 = t118 * params->beta;
  t254 = t250 * t16 + 0.2e1 * t252;
  t255 = t58 * t254;
  t258 = 0.1e1 / t123 * t211;
  t260 = -t258 * t214 + t126;
  t261 = t33 * t98;
  t264 = t124 * t220;
  t266 = 0.2e1 * t261 * t101 * t58 + 0.2e1 * t264;
  t267 = t260 * t266;
  t269 = t254 * t126;
  t270 = t269 * t129;
  t271 = t121 * t260;
  t272 = t266 * t33;
  t273 = t272 * t4;
  t274 = t271 * t273;
  t275 = t58 * t4;
  t276 = t128 * t275;
  t277 = t33 * t46;
  t278 = t128 * t277;
  t279 = 0.3e1 * t278;
  t281 = 0.6e1 * t39 * t237;
  t285 = my_piecewise3(t31, 0, -0.79577471545947667883e-1 * (t122 * t267 + 0.2e1 * t247 * t126 + t255 * t126 + t245 * t36 + t270 + t274 + t276 - t279 + t281) * t23);
  if(v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    v3rho3[0] = 0.3e1 * t114 + 0.3e1 * t136 + t3 * (t243 + t285);

  t288 = 0.2e1 * t147;
  t289 = 0.2e1 * t155;
  t290 = 0.2e1 * t86;
  t291 = 0.6e1 * t195;
  t292 = t290 - t291;
  t293 = my_piecewise5(t7, 0, t11, 0, t292);
  t295 = t140 * t95;
  t298 = t68 * t207;
  t304 = my_piecewise3(t8, 0, -0.79577471545947667883e-1 * (0.2e1 * t295 * t103 + t298 * t103 + t142 * t224 + t293 * t18 + t227 + t231 + t233 - t236 + t239) * t23);
  t306 = my_piecewise5(t11, 0, t7, 0, -t292);
  t308 = t148 * t121;
  t311 = t75 * t254;
  t317 = my_piecewise3(t31, 0, -0.79577471545947667883e-1 * (0.2e1 * t308 * t126 + t311 * t126 + t150 * t267 + t306 * t36 + t270 + t274 + t276 - t279 + t281) * t23);
  if(v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    v3rho3[1] = t114 + t136 + t288 + t289 + t3 * (t304 + t317);

  t320 = -t290 - t291;
  t321 = my_piecewise5(t7, 0, t11, 0, t320);
  t323 = t162 * t95;
  t325 = t140 * t166;
  t327 = t140 * M_PI;
  t329 = t164 * params->beta;
  t330 = t327 * t16 + t205 + t329;
  t331 = t68 * t330;
  t334 = t330 * t103;
  t336 = t166 * t216;
  t339 = t169 * t234;
  t341 = t323 * t103 + t325 * t103 + t331 * t103 + t334 * t106 + t167 * t224 + t169 * t232 + t321 * t18 + t336 * t230 - 0.2e1 * t235 + t239 - t339;
  t344 = my_piecewise3(t8, 0, -0.79577471545947667883e-1 * t341 * t23);
  t346 = my_piecewise5(t11, 0, t7, 0, -t320);
  t348 = t176 * t121;
  t350 = t148 * t180;
  t352 = t148 * M_PI;
  t354 = t178 * params->beta;
  t355 = t352 * t16 + t252 + t354;
  t356 = t75 * t355;
  t359 = t355 * t126;
  t361 = t180 * t260;
  t364 = t183 * t277;
  t366 = t348 * t126 + t350 * t126 + t356 * t126 + t359 * t129 + t181 * t267 + t183 * t275 + t361 * t273 + t346 * t36 - 0.2e1 * t278 + t281 - t364;
  t369 = my_piecewise3(t31, 0, -0.79577471545947667883e-1 * t366 * t23);
  if(v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    v3rho3[2] = t288 + t289 + t174 + t188 + t3 * (t344 + t369);

  t375 = -0.6e1 * t86 - 0.6e1 * t195;
  t376 = my_piecewise5(t7, 0, t11, 0, t375);
  t378 = t162 * t166;
  t381 = t162 * M_PI;
  t384 = t381 * t16 + 0.2e1 * t329;
  t385 = t68 * t384;
  t387 = t101 * t68;
  t390 = 0.2e1 * t217 * t387 + 0.2e1 * t221;
  t391 = t216 * t390;
  t393 = t384 * t103;
  t395 = t390 * t14;
  t396 = t395 * t4;
  t398 = t68 * t4;
  t404 = my_piecewise3(t8, 0, -0.79577471545947667883e-1 * (0.2e1 * t378 * t103 + t385 * t103 + t393 * t106 + t167 * t391 + t169 * t398 + t376 * t18 + t336 * t396 + t239 - 0.3e1 * t339) * t23);
  t406 = my_piecewise5(t11, 0, t7, 0, -t375);
  t408 = t176 * t180;
  t411 = t176 * M_PI;
  t414 = t411 * t16 + 0.2e1 * t354;
  t415 = t75 * t414;
  t417 = t101 * t75;
  t420 = 0.2e1 * t261 * t417 + 0.2e1 * t264;
  t421 = t260 * t420;
  t423 = t414 * t126;
  t425 = t420 * t33;
  t426 = t425 * t4;
  t428 = t75 * t4;
  t434 = my_piecewise3(t31, 0, -0.79577471545947667883e-1 * (0.2e1 * t408 * t126 + t415 * t126 + t423 * t129 + t181 * t421 + t183 * t428 + t406 * t36 + t361 * t426 + t281 - 0.3e1 * t364) * t23);
  if(v3rho3 != NULL && (p->info->flags & XC_FLAGS_HAVE_KXC))
    v3rho3[3] = 0.3e1 * t174 + 0.3e1 * t188 + t3 * (t404 + t434);

#ifndef XC_DONT_COMPILE_LXC

  if(order < 4) return;


  t439 = t226 * t234;
  t440 = 0.4e1 * t439;
  t443 = 0.2e1 * t207 * t216 * t230;
  t446 = 0.1e1 / t97 / t14 * t211;
  t450 = t213 * t86;
  t452 = 0.2e1 * t212 * t450;
  t453 = 0.2e1 * t446 * t214 * t49 + t224 + t452;
  t455 = t95 * t453 * t230;
  t456 = t49 * t49;
  t461 = t217 * t220 * t49;
  t467 = 0.2e1 * t99 * t100;
  t468 = 0.2e1 * t217 * t101 * t90 + 0.2e1 * t456 * t98 * t101 + 0.8e1 * t461 + t467;
  t470 = t468 * t14 * t4;
  t471 = t228 * t470;
  t473 = t223 * t49 * t4;
  t475 = 0.2e1 * t228 * t473;
  t476 = t49 * t46;
  t477 = t105 * t476;
  t478 = 0.4e1 * t477;
  t479 = t14 * t86;
  t480 = t105 * t479;
  t481 = 0.12e2 * t480;
  t483 = 0.1e1 / t193 / t3;
  t484 = t23 * t483;
  t486 = 0.24e2 * t22 * t484;
  t499 = t203 * params->beta;
  t501 = t198 * M_PI * t16 + 0.3e1 * t499;
  t504 = t229 * t46;
  t505 = t228 * t504;
  t506 = 0.4e1 * t505;
  t507 = t2 * t483;
  t509 = -0.24e2 * t194 + 0.24e2 * t507;
  t510 = my_piecewise5(t7, 0, t11, 0, t509);
  t512 = t453 * t223;
  t514 = t216 * t468;
  t517 = t501 * t103 * t106;
  t519 = 0.2e1 * t226 * t232;
  t520 = t90 * t4;
  t521 = t105 * t520;
  t522 = 0.3e1 * t198 * t95 * t103 + 0.3e1 * t90 * t207 * t103 + t49 * t501 * t103 + t510 * t18 + 0.3e1 * t200 * t224 + 0.2e1 * t208 * t224 + t96 * t512 + t96 * t514 - t440 + t443 + t455 + t471 + t475 - t478 + t481 - t486 - t506 + t517 + t519 + t521;
  t525 = my_piecewise3(t8, 0, -0.79577471545947667883e-1 * t522 * t23);
  t526 = t269 * t277;
  t527 = 0.4e1 * t526;
  t530 = 0.2e1 * t254 * t260 * t273;
  t533 = 0.1e1 / t123 / t33 * t211;
  t538 = 0.2e1 * t258 * t450;
  t539 = 0.2e1 * t533 * t214 * t58 + t267 + t538;
  t541 = t121 * t539 * t273;
  t542 = t58 * t58;
  t547 = t261 * t220 * t58;
  t553 = 0.2e1 * t124 * t100;
  t554 = 0.2e1 * t261 * t101 * t116 + 0.2e1 * t542 * t98 * t101 + 0.8e1 * t547 + t553;
  t556 = t554 * t33 * t4;
  t557 = t271 * t556;
  t559 = t266 * t58 * t4;
  t561 = 0.2e1 * t271 * t559;
  t562 = t58 * t46;
  t563 = t128 * t562;
  t564 = 0.4e1 * t563;
  t573 = t250 * params->beta;
  t575 = t245 * M_PI * t16 + 0.3e1 * t573;
  t578 = t272 * t46;
  t579 = t271 * t578;
  t580 = 0.4e1 * t579;
  t582 = my_piecewise5(t11, 0, t7, 0, -t509);
  t588 = t539 * t266;
  t590 = t260 * t554;
  t593 = t575 * t126 * t129;
  t595 = 0.2e1 * t269 * t275;
  t596 = t116 * t4;
  t597 = t128 * t596;
  t598 = t33 * t86;
  t599 = t128 * t598;
  t600 = 0.12e2 * t599;
  t602 = 0.24e2 * t39 * t484;
  t603 = 0.3e1 * t116 * t254 * t126 + 0.3e1 * t245 * t121 * t126 + t58 * t575 * t126 + t122 * t588 + t122 * t590 + 0.3e1 * t247 * t267 + 0.2e1 * t255 * t267 + t582 * t36 - t527 + t530 + t541 + t557 + t561 - t564 - t580 + t593 + t595 + t597 + t600 - t602;
  t606 = my_piecewise3(t31, 0, -0.79577471545947667883e-1 * t603 * t23);
  if(v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    v4rho4[0] = 0.4e1 * t243 + 0.4e1 * t285 + t3 * (t525 + t606);

  t611 = 0.12e2 * t194;
  t612 = 0.24e2 * t507;
  t613 = -t611 + t612;
  t614 = my_piecewise5(t7, 0, t11, 0, t613);
  t630 = 0.3e1 * t140 * t207 * t103 + 0.3e1 * t293 * t95 * t103 + t68 * t501 * t103 + t142 * t512 + t142 * t514 + t614 * t18 + 0.3e1 * t295 * t224 + 0.2e1 * t298 * t224 - t440 + t443 + t455 + t471 + t475 - t478 + t481 - t486 - t506 + t517 + t519 + t521;
  t633 = my_piecewise3(t8, 0, -0.79577471545947667883e-1 * t630 * t23);
  t635 = my_piecewise5(t11, 0, t7, 0, -t613);
  t651 = 0.3e1 * t306 * t121 * t126 + 0.3e1 * t148 * t254 * t126 + t75 * t575 * t126 + t150 * t588 + t150 * t590 + 0.3e1 * t308 * t267 + 0.2e1 * t311 * t267 + t635 * t36 - t527 + t530 + t541 + t557 + t561 - t564 - t580 + t593 + t595 + t597 + t600 - t602;
  t654 = my_piecewise3(t31, 0, -0.79577471545947667883e-1 * t651 * t23);
  if(v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    v4rho4[1] = t243 + t285 + 0.3e1 * t304 + 0.3e1 * t317 + t3 * (t633 + t654);

  t675 = 0.2e1 * t327 * params->beta;
  t676 = t293 * M_PI * t16 + t499 + t675;
  t682 = t676 * t103 * t106 + t167 * t512 + t167 * t514 + t169 * t520 + t323 * t224 + 0.2e1 * t325 * t224 + 0.2e1 * t331 * t224 + 0.2e1 * t334 * t232 - 0.2e1 * t439 - 0.2e1 * t477 + 0.10e2 * t480 - t486 - 0.2e1 * t505;
  t683 = t334 * t234;
  t685 = t169 * t476;
  t687 = t169 * t479;
  t701 = my_piecewise5(t7, 0, t11, 0, t612);
  t703 = t336 * t504;
  t705 = t330 * t216;
  t708 = t166 * t453;
  t713 = 0.2e1 * t140 * t330 * t103 + t162 * t207 * t103 + t293 * t166 * t103 + 0.2e1 * t321 * t95 * t103 + t68 * t676 * t103 + t701 * t18 + 0.2e1 * t705 * t230 + t708 * t230 + t336 * t470 + 0.2e1 * t336 * t473 - 0.2e1 * t683 - 0.2e1 * t685 + 0.2e1 * t687 - 0.2e1 * t703;
  t717 = my_piecewise3(t8, 0, -0.79577471545947667883e-1 * (t682 + t713) * t23);
  t731 = 0.2e1 * t352 * params->beta;
  t732 = t306 * M_PI * t16 + t573 + t731;
  t738 = t359 * t277;
  t740 = t732 * t126 * t129 + t181 * t588 + t181 * t590 + t183 * t596 + t348 * t267 + 0.2e1 * t350 * t267 + 0.2e1 * t356 * t267 + 0.2e1 * t359 * t275 - 0.2e1 * t526 - 0.2e1 * t563 + 0.10e2 * t599 - t602 - 0.2e1 * t738;
  t741 = t183 * t562;
  t743 = t183 * t598;
  t757 = my_piecewise5(t11, 0, t7, 0, -t612);
  t760 = t361 * t578;
  t762 = t355 * t260;
  t765 = t180 * t539;
  t770 = 0.2e1 * t346 * t121 * t126 + 0.2e1 * t148 * t355 * t126 + t176 * t254 * t126 + t306 * t180 * t126 + t75 * t732 * t126 + 0.2e1 * t762 * t273 + t765 * t273 + t757 * t36 + t361 * t556 + 0.2e1 * t361 * t559 - 0.2e1 * t579 - 0.2e1 * t741 + 0.2e1 * t743 - 0.2e1 * t760;
  t774 = my_piecewise3(t31, 0, -0.79577471545947667883e-1 * (t740 + t770) * t23);
  if(v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    v4rho4[2] = 0.2e1 * t304 + 0.2e1 * t317 + 0.2e1 * t344 + 0.2e1 * t369 + t3 * (t717 + t774);

  t783 = t217 * t220 * t68;
  t789 = 0.2e1 * t217 * t101 * t140 + 0.2e1 * t49 * t98 * t387 + 0.4e1 * t461 + t467 + 0.4e1 * t783;
  t803 = t393 * t234;
  t805 = t169 * t68 * t46;
  t813 = t336 * t789 * t14 * t4 + t336 * t223 * t68 * t4 + t336 * t390 * t49 * t4 + t167 * t453 * t390 + 0.2e1 * t378 * t224 + t385 * t224 + t325 * t391 + t331 * t391 + 0.6e1 * t480 - t486 - 0.3e1 * t683 - 0.3e1 * t685 + 0.6e1 * t687 - t803 - t805;
  t818 = t381 * params->beta;
  t819 = t321 * M_PI * t16 + t675 + t818;
  t838 = t611 + t612;
  t839 = my_piecewise5(t7, 0, t11, 0, t838);
  t843 = t336 * t395 * t46;
  t844 = t384 * t216;
  t848 = t819 * t103 * t106 + t140 * t384 * t103 + 0.2e1 * t162 * t330 * t103 + 0.2e1 * t321 * t166 * t103 + t376 * t95 * t103 + t68 * t819 * t103 + t169 * t140 * t4 + t167 * t216 * t789 + t839 * t18 + t844 * t230 + t393 * t232 + t334 * t398 + t705 * t396 + t708 * t396 - 0.3e1 * t703 - t843;
  t852 = my_piecewise3(t8, 0, -0.79577471545947667883e-1 * (t813 + t848) * t23);
  t854 = t361 * t425 * t46;
  t855 = t414 * t260;
  t863 = t261 * t220 * t75;
  t869 = 0.2e1 * t261 * t101 * t148 + 0.2e1 * t58 * t98 * t417 + 0.4e1 * t547 + t553 + 0.4e1 * t863;
  t883 = t423 * t277;
  t885 = t183 * t75 * t46;
  t888 = t361 * t266 * t75 * t4 + t361 * t869 * t33 * t4 + t361 * t420 * t58 * t4 + 0.2e1 * t408 * t267 + t855 * t273 + t762 * t426 + t765 * t426 + 0.6e1 * t599 - t602 - 0.3e1 * t738 - 0.3e1 * t741 + 0.6e1 * t743 - t854 - t883 - t885;
  t898 = t411 * params->beta;
  t899 = t346 * M_PI * t16 + t731 + t898;
  t920 = my_piecewise5(t11, 0, t7, 0, -t838);
  t922 = t406 * t121 * t126 + t899 * t126 * t129 + t148 * t414 * t126 + 0.2e1 * t176 * t355 * t126 + 0.2e1 * t346 * t180 * t126 + t75 * t899 * t126 + t183 * t148 * t4 + t181 * t260 * t869 + t181 * t539 * t420 + t415 * t267 + t423 * t275 + t350 * t421 + t356 * t421 + t359 * t428 + t920 * t36 - 0.3e1 * t760;
  t926 = my_piecewise3(t31, 0, -0.79577471545947667883e-1 * (t888 + t922) * t23);
  if(v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    v4rho4[3] = 0.3e1 * t344 + 0.3e1 * t369 + t404 + t434 + t3 * (t852 + t926);

  t933 = 0.24e2 * t194 + 0.24e2 * t507;
  t934 = my_piecewise5(t7, 0, t11, 0, t933);
  t944 = 0.2e1 * t446 * t214 * t68 + t391 + t452;
  t947 = t68 * t68;
  t955 = 0.2e1 * t217 * t101 * t162 + 0.2e1 * t947 * t98 * t101 + t467 + 0.8e1 * t783;
  t972 = t376 * M_PI * t16 + 0.3e1 * t818;
  t989 = -t486 - 0.4e1 * t843 + t934 * t18 + 0.12e2 * t687 - 0.4e1 * t803 - 0.4e1 * t805 + 0.2e1 * t844 * t396 + t166 * t944 * t396 + t336 * t955 * t14 * t4 + 0.2e1 * t336 * t390 * t68 * t4 + 0.3e1 * t376 * t166 * t103 + 0.3e1 * t162 * t384 * t103 + t68 * t972 * t103 + 0.3e1 * t378 * t391 + 0.2e1 * t385 * t391 + t167 * t944 * t390 + t167 * t216 * t955 + t972 * t103 * t106 + 0.2e1 * t393 * t398 + t169 * t162 * t4;
  t992 = my_piecewise3(t8, 0, -0.79577471545947667883e-1 * t989 * t23);
  t995 = my_piecewise5(t11, 0, t7, 0, -t933);
  t1005 = 0.2e1 * t533 * t214 * t75 + t421 + t538;
  t1008 = t75 * t75;
  t1016 = 0.2e1 * t1008 * t98 * t101 + 0.2e1 * t261 * t101 * t176 + t553 + 0.8e1 * t863;
  t1033 = t406 * M_PI * t16 + 0.3e1 * t898;
  t1050 = -0.4e1 * t854 + t995 * t36 - t602 + 0.12e2 * t743 - 0.4e1 * t883 - 0.4e1 * t885 + 0.2e1 * t855 * t426 + t180 * t1005 * t426 + t361 * t1016 * t33 * t4 + 0.2e1 * t361 * t420 * t75 * t4 + 0.3e1 * t406 * t180 * t126 + 0.3e1 * t176 * t414 * t126 + t75 * t1033 * t126 + 0.3e1 * t408 * t421 + 0.2e1 * t415 * t421 + t181 * t1005 * t420 + t181 * t260 * t1016 + t1033 * t126 * t129 + 0.2e1 * t423 * t428 + t183 * t176 * t4;
  t1053 = my_piecewise3(t31, 0, -0.79577471545947667883e-1 * t1050 * t23);
  if(v4rho4 != NULL && (p->info->flags & XC_FLAGS_HAVE_LXC))
    v4rho4[4] = 0.4e1 * t404 + 0.4e1 * t434 + t3 * (t992 + t1053);

#ifndef XC_DONT_COMPILE_MXC

  if(order < 5) return;


#endif

#endif

#endif

#endif

#endif


}

